package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Sword;
import org.project.item.weapons.Weapon;

public class Vampire extends Enemy{
    public Vampire(String name, int hp, int mp, Weapon weapon, int xpReward) {
        super("Vampire", 55,25, new Sword(), 70);
    }

    @Override
    public void attack(Entity target){
        int damage = weapon.getDamage();
        target.takeDamage(damage);
        int healAmount = damage/2;
        heal(healAmount);
        System.out.println("\u001B[31m Vampire  attacked for " +  damage + " damage & drained " +healAmount + " HP!\u001B[0m");
    }

    @Override
    public void specialAbility(Entity target) {
        System.out.println("\u001B[35m  Vampire use BLOOD CURSE! \u001B[0m");
        attack(target);
        attack(target);
    }

    @Override
    public String geTKeyType() {
        return "VampireKey";
    }
}
